Subject: Re: [PATCH net v2] ovs: add recursion limit to ovs_vport_receive

From: Simon Horman <[email-masked]>
Date: Fri, 15 Jan 2016 14:28:29 +0900

Hi,

On Fri, Jan 15, 2016 at 12:05:55AM +0100, Hannes Frederic Sowa wrote:
> It was seen that defective configurations of openvswitch could overwrite
> the STACK_END_MAGIC and cause a hard crash of the kernel because of too
> many recursions within ovs.
> 
> This problem arises due to the high stack usage of openvswitch. The rest
> of the kernel is fine with the current limit of 10 (RECURSION_LIMIT).
> Thus add an extra recursion limit counter for ovs_vport_receive until
> parts of the stack usage is moved to percpu scratch space.
> 
> Cc: Pravin Shelar <[email-masked]>
> Signed-off-by: Hannes Frederic Sowa <[email-masked]>

Thanks for this. Its looks like a clean solution to a problem
that has been on my todo list for quite some time.

Reviewed-by: Simon Horman <[email-masked]>